# OpenLayers.Size

Instances of this class represent a width/height pair

Summary

OpenLayers.Size | Instances of this class represent a width/height pair
Properties |
w | {Number} width
h | {Number} height
Constructor |
OpenLayers.Size | Create an instance of OpenLayers.Size
Functions |
toString | Return the string representation of a size object
clone | Create a clone of this size object
equals | Determine where this size is equal to another

### Properties

### w

{Number} width

### h

{Number} height

### Constructor

### OpenLayers.Size

Create an instance of OpenLayers.Size

#### Parameters

w | {Number} width
h | {Number} height

### Functions

### toString

> toString:function()

Return the string representation of a size object

#### Returns

{String} The string representation of OpenLayers.Size object. (e.g. <i>”w=55,h=66”</i>)

### clone

> clone:function()

Create a clone of this size object

#### Returns

{OpenLayers.Size} A new OpenLayers.Size object with the same w and h values

### equals

> equals:function( | sz | )

Determine where this size is equal to another

#### Parameters

sz | {OpenLayers.Size}

#### Returns

{Boolean} The passed in size has the same h and w properties as this one. Note that if sz passed in is null, returns false.

> toString:function()

Return the string representation of a size object

> clone:function()

Create a clone of this size object

> equals:function( | sz | )

Determine where this size is equal to another
Create an instance of OpenLayers.Size
Close